Bug 268202 - NullPointerException: The doc parameter cannot be null
NullPointerException: The doc parameter cannot be null
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
8.2
All All
: P3 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-26 11:31 UTC by toben
Modified: 2016-12-13 12:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.33 KB, text/plain)
2016-09-26 11:31 UTC, toben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description toben 2016-09-26 11:31:23 UTC
Build: NetBeans IDE 8.2 RC (Build 201609140952)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.102-b14, Java(TM) SE Runtime Environment, 1.8.0_102-b14
OS: Windows 10

User Comments:
toben: started netbeans under heavy system load (background computation)

GUEST: <Please provide a description of the problem or the steps to reproduce>
I don't kown what happend now.Sorry,I just do as it tell me




Stacktrace: 
java.lang.NullPointerException: The doc parameter cannot be null
   at org.openide.util.Parameters.notNull(Parameters.java:89)
   at org.netbeans.spi.editor.hints.HintsController.setErrors(HintsController.java:76)
   at org.netbeans.modules.java.hints.infrastructure.EmbeddedHintsCollector.setAnnotations(EmbeddedHintsCollector.java:75)
   at org.netbeans.modules.java.hints.infrastructure.ErrorHintsProvider.run(ErrorHintsProvider.java:770)
   at org.netbeans.modules.parsing.impl.TaskProcessor.callParserResultTask(TaskProcessor.java:584)
   at org.netbeans.modules.parsing.impl.TaskProcessor$RequestPerformer.run(TaskProcessor.java:809)
Comment 1 toben 2016-09-26 11:31:24 UTC
Created attachment 162215 [details]
stacktrace
Comment 2 Svata Dedic 2016-11-11 11:57:48 UTC
Fixed in jet-main#b8141c37c085
Comment 3 Quality Engineering 2016-11-13 02:52:41 UTC
Integrated into 'main-silver', will be available in build *201611130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b8141c37c085
User: Svata Dedic <sdedic@netbeans.org>
Log: #268202: check document presence, do not forward hints for closed editors
Comment 4 Svata Dedic 2016-11-23 08:59:01 UTC
Transplanted as releases#fc1f30af5de5
Comment 5 Jiri Prox 2016-12-13 12:19:47 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo